SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003025: ldap auth does not work if the count of chars of user/groups > 256 per rule - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003025Endian FirewallProxy - HTTPpublic2010-06-23 16:552011-02-10 13:40
Reportersimon-endian 
Assigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target VersionFixed in Version2.4.1 
Summary0003025: ldap auth does not work if the count of chars of user/groups > 256 per rule
Descriptionif to many users or groups are selected ldap_group_auth wont accept the request from ldap

username check should not be done with ldap_group_auth
TagsNo tags attached.
Attached Files

- Relationships
parent of 0002856closedsimon-endian LDAP users order 
related to 0002879closedpeter-endian list out of range with many ldap users 

-  Notes
(0004555)
peter-endian (administrator)
2010-06-23 16:58

increased limit of searchfilter in searchfilter buffer in build_filter() and reading buffer to 8192 chars as of it is also of the search-string specified with -f
(0004593)
peter-endian (administrator)
2010-07-05 16:45

isn't this fixed?

- Issue History
Date Modified Username Field Change
2010-06-23 16:55 simon-endian New Issue
2010-06-23 16:58 peter-endian Note Added: 0004555
2010-06-24 08:15 luca-endian Relationship added related to 0002879
2010-06-24 10:24 simon-endian Relationship added parent of 0002856
2010-07-05 16:45 peter-endian Note Added: 0004593
2010-07-05 16:45 peter-endian Status new => feedback
2011-02-10 13:40 ra-endian Status feedback => closed
2011-02-10 13:40 ra-endian Resolution open => fixed
2011-02-10 13:40 ra-endian Fixed in Version => 2.4.1

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker